Subject: bug#71154: slim: Two regressions on v.1.4.1

From: Z572 <[email-masked]>
Date: Sat, 25 May 2024 22:30:02 +0800

André Batista <[email-masked]> writes:

> Hi Guix,
>
> I've found two regressions after upgrading to v. 1.4.1 of slim.
>
> The first one is that it is no longer possible to use a secondary monitor
> with it. If it is connected at the same time as a the primary one, only
> the later gets to show the slim greater. If the primary one is disabled
> via kernel command line (eg. "video=LVDS-1:d"), slim does not start and
> the xorg-server crashes. Shepherd keeps trying to restart it to no avail.
>
> Curiously enough the changelog for the current version mentions that
> there has been some change to "how/when the pseudo-root window is created
> and removed, in preparation for handling multiple monitors"[*]. I, for one,
> have been using multiple monitors without issue until now.

maybe you can report it to upstream?

>
> The second regression is more subtle and annoying. After logging in with
> one account, sometimes, in what appears to be related to have used any
> gtk application, the user session is not properly terminated on logout
> and herd looses track of xorg-server. If one tries to stop it with herd,
> the session remais alive and there is only one bit on slim.log:

I'm not exactly familiar with shepherd, maybe replacing
fork+exec-command with make-forkexec-constructor would solve this
problem?.

>
> 'WaitForServer: Not seen SigUSR1 from Xserver'
>
> and nothing useful on Xorg.log.
>
> Only by manually killing the xorg process, I've been able to get back
> to a sane state again.
>
> Any thoughts?

We can revert this commit or add a slim-1.4.0 package?

>
> For now I have reverted the upgrade to its current upstream version.
>
> 1. https://sourceforge.net/projects/slim-fork/files/